Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13568

Description

Create custom projection: 

+proj=aea +lat_1=52 +lat_2=64 +lat_0=0 +lon_0=105 +x_0=18500000 +y_0=0 +ellps=WGS84 +units=m +no_defs

Open vector layer (in attachment). Enable on the fly CRS transformation and set created custom projection.

Issues:

1. Zoom to layer extent does not work and layer is invisible;

2. Open attribute table, select any row and press "Zoom map to selected rows" button. Layer becomes visible, but if change zoom level

with mouse wheel - any features or layer at all disappears from map canvas.

History

#1 - 2011-04-16 02:55 AM - Maxim Dubinin

related to #2426

#2 - 2011-04-17 12:27 PM - Markus Neteler

This is an issue of the global wrap around apparently not handled correctly. For illustration, I have imported the map in GRASS 6.4.1. The global wrap

around code is tricky, see here and here for the implementation in GRASS, perhaps useful for inspiration.

#3 - 2011-04-17 12:32 PM - Markus Neteler

See also #2349

#4 - 2011-04-17 03:30 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

duplicate of #2426
http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/plot.c
http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/wind_overlap.c
l2.zip 198 KB 2011-02-19 dr -

aea_proj_in_grass64.png 25.2 KB 2011-04-17 Markus Neteler

aea_proj_in_grass64_shifted.png 25 KB 2011-04-17 Markus Neteler
